binutils-2.19.1 and freshly-built ld.so from glibc 2.9

H.J. Lu hjl.tools@gmail.com
Tue Mar 3 14:42:00 GMT 2009


On Tue, Mar 3, 2009 at 4:56 AM, Poor Yorick
<org.sourceware.binutils@pooryorick.com> wrote:
> Hi,
>
> The following problem occurs with both binutils-2.19.1 and 2.18.  I invoke "readelf -a ld.so" where ld.so was just compiled from glibc-2.9 source, and get an infinite loop of error messages similar to:
>
>    readelf: Error: Unable to read in 0x10 bytes of version need aux (3)
>    readelf: Error: Unable to seek to 0x87000161 for version need aux (3)
>
> any suggestions?
>

Which platform are you using?

-- 
H.J.



More information about the Binutils mailing list